/*GPL*START*
 * 
 * Copyright (C) 1998 by Johannes Overmann <overmann@iname.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * *GPL*END*/  

#ifndef _asm_h_
#define _asm_h_

#include "ttypes.h"

#include <stdio.h>

// memory limits
#define max_mem    (64*1024)
#define max_fref   1024
#define max_lab    4096
#define max_lablen (128-8)
#define max_explen (256-8)


// functions fro asm.cc: (interface)
bool initAss();
void printSymbols(FILE *f);
void hexDump(int width);
bool assLine();
void printUnused();
void printStats();
void disassemble(bool verbatim);

// vars from ass6510.cc:
extern FILE *ifile;
extern bool warnings_enabled;
extern bool illegal;
extern bool no_dsb;
extern bool no_nop;
extern bool dis_source;
extern bool verbose;

// vars from asm.cc:
extern int base;
extern int amem;
extern uchar mem[];
extern int max_err;

#endif
